#### Description:

The FitsTable class is a representation of a FITS binary table. It inherits from the Table class. The parent Table is used to hold the binary data of the main table, and a FitsChan (encapsulated within the FitsTable) is used to hold the FITS header.

Note - it is not recommended to use the FitsTable class to store very large tables.

FitsTables are primarily geared towards the needs of the `"` -TAB`"` algorithm defined in FITS-WCS paper 2, and so do not support all features of FITS binary tables. In particularly, they do not provide any equivalent to the following features of FITS binary tables: `"` heap`"` data (i.e. binary data following the main table), columns holding complex values, columns holding variable length arrays, scaled columns, column formats, columns holding bit values, 8-byte integer values or logical values.

#### Constructor Function

astFitsTable

#### Inheritance

The FitsTable class inherits from the Table class.

#### Attributes

The FitsTable class does not define any new attributes beyond those which are applicable to all Tables.

#### Functions

In addition to those functions applicable to all Tables, the following functions may also be applied to all FitsTables:

- astColumnNull: Get/set the null value for a column of a FitsTable

- astColumnSize: Get number of bytes needed to hold a full column of data

- astGetColumnData: Retrieve all the data values stored in a column

- astGetTableHeader: Get the FITS headers from a FitsTable

- astPutColumnData: Store data values in a column

- astPutTableHeader: Store FITS headers within a FitsTable

Copyright (C) 2021 East Asian Observatory